#include "Grafo.h"

typedef tpNo* tpSolucao ;

typedef tpCusto tpMetodoConst( tpGrafo Grafo  ,
                               tpNo    NumNos ,
                               tpNo    No     ,
                               double  Alfa   ,
                               tpNo**  Memoria  ) ;

tpCusto VizinhoMaisProximo   ( tpGrafo Grafo  ,
                               tpNo    NumNos ,
                               tpNo    No     ,
                               double  Alfa   ,
                               tpNo**  Memoria  ) ;

tpCusto InsercaoMaisProxima  ( tpGrafo Grafo  ,
                               tpNo    NumNos ,
                               tpNo    No     ,
                               double  Alfa   ,
                               tpNo**  Memoria  ) ;

tpCusto InsercaoMaisDistante ( tpGrafo Grafo  ,
                               tpNo    NumNos ,
                               tpNo    No     ,
                               double  Alfa   ,
                               tpNo**  Memoria  ) ;

tpCusto InsercaoMaisBarata   ( tpGrafo Grafo  ,
                               tpNo    NumNos ,
                               tpNo    No     ,
                               double  Alfa   ,
                               tpNo**  Memoria  ) ;

void AnalisarCons( tpMetodoConst* pAlgoritmo  ,
                   tpNo           MaxNos      ,
                   char*          szTipo      ,
                   char*          szAlgoritmo  ) ;   

void AnalisarConsInst( tpGrafo        Grafo       ,
                       tpNo           NumNos      ,
                       tpMetodoConst* pAlgoritmo  ,
                       char*          szAlgoritmo ,
                       tpNo**         pMemoria    ,
                       tpCusto*       CustoMin    ,
                       char*          szMaisEfic   ) ;