#ifndef GRASP_H
#define GRASP_H

#include "Grafo.h"
#include "Construtivo.h"
#include "BuscaLocal.h"

tpCusto GRASP( tpGrafo       Grafo     ,
               tpNo          NumNos    ,
               tpMetodoConst Metodo    ,
               tpBuscaLocal  Busca     ,
               double        Alfa      ,
               int           Iteracoes ,
               tpNo**        Memoria    ) ;

void AnalisarGRASP( tpMetodoConst* pAlgoritmo  ,
                    tpBuscaLocal*  pBusca      , 
                    char*          szTipo      ,
                    char*          szAlgoritmo ,
                    char*          szBusca      ) ;   

void AnalisarGRASPInst( tpGrafo        Grafo       ,
                        tpNo           NumNos      ,
                        tpMetodoConst* pAlgoritmo  ,
                        tpBuscaLocal*  pBusca      , 
                        char*          szAlgoritmo ,
                        char*          szBusca     ,
                        tpNo**         pMemoria    ,
                        tpCusto*       CustoMin    ,
                        char*          szMaisEfic   ) ;

#endif