#ifndef LEITOR_H
#define LEITOR_H

#include "Grafo.h"

typedef struct tgInstancia* tpInstancia ;

struct tgInstancia {
   char       Nome[ 80 ]        ;
   char       Comentario[ 255 ] ;
   tpNo       NumNos            ;
   tpGrafo    Grafo             ;
   int        NumRot            ;
   tpNo**     Rotas             ;
} ;

tpInstancia LerInstancia         ( char*   Caminho ) ;

tpCusto     VerificarRotaCanonica( tpGrafo Grafo  ,
                                   tpNo    NumNos  ) ;

tpCusto     VerificarRota        ( tpGrafo Grafo  ,
                                   tpNo*   Rota    ) ;

#endif