#define SZ_ERR_MEM      "Erro de falta de memria.\nPrograma sendo abortado.\n"
#define CUSTO_MAX       100

#define PESO(G, I, J)   ( I < J ? G[ J ][ I ] : G[ I ][ J ] )

typedef int       tpNo    ;
typedef int       tpCusto ;
typedef tpCusto** tpGrafo ;

tpGrafo AlocarGrafo( tpNo iNumNos ) ;

void CriarGrafo( tpGrafo Grafo      ,
                 tpNo    iNumNos    , 
                 double  dDensidade  ) ;

void CriarGrafoEuclidiano( tpGrafo Grafo      ,
                           tpNo    iNumNos    , 
                           double  dDensidade ,
                           tpNo**  Memoria     ) ;

void DestruirGrafo( tpGrafo Grafo   , 
                    tpNo    iNumNos  ) ; 


void ColocarPeso( tpGrafo Grafo     ,
                  tpNo    iIndice_i ,
                  tpNo    iIndice_j ,
                  tpCusto Custo      ) ;